proc main { record_list argv } {

	fconfigure stdin -buffering line

	set tty1 [ $record_list get_record "tty1" ]

	set desc [ $tty1 create_description_from_record ]

	puts "desc = '$desc'"

	while {1} {

		puts -nonewline "cmd> "

		flush stdout

		set cmdline [ gets stdin ]

		set cmd_argv [ split $cmdline ]

		set cmd_argv1 [ lindex $cmd_argv 0 ]

		set cmd_argv [ lrange $cmd_argv 1 end ]

		if { $cmd_argv1 == "exit" } {
			exit

		} elseif { $cmd_argv1 == "getline" } {

			set line [ $tty1 getline ]

			puts "'$line'"

		} elseif { $cmd_argv1 == "putline" } {

			$tty1 putline $cmd_argv

		} elseif { $cmd_argv1 == "command" } {

			$tty1 putline $cmd_argv

			set line [ $tty1 getline ]

			puts "'$line'"

		} elseif { $cmd_argv1 == "" } {

			# Do nothing.

		} else {
			puts "Command '$cmd_argv1' not recognized."
		}
	}
}

